## imcode.server.document.index
Class IndexDocumentFactory

    java.lang.Object
      imcode.server.document.index.IndexDocumentFactory

    public class IndexDocumentFactory

extends java.lang.Object

Constructor Summary
`IndexDocumentFactory(CategoryMapper categoryMapper)`

Method Summary
`org.apache.lucene.document.Document` `createIndexDocument(DocumentDomainObject document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexDocumentFactory

    public IndexDocumentFactory(CategoryMapper categoryMapper)

Method Detail

### createIndexDocument

    public org.apache.lucene.document.Document createIndexDocument(DocumentDomainObject document)